#!/bin/sh

#
#   Copyright (C) 2017 Cumulus Networks, Inc. All rights reserved
#
#   This software is subject to the Cumulus Networks End User License
#   Agreement available  at the following locations:
#
#   Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
#   Cumulus Linux systems: /usr/share/cumulus/EULA.txt
#

# Is this a chassis?
MODULE_NAME=$(/usr/lib/cumulus/chassis-info --moduleName) || exit 0
NEW_HOSTNAME="cumulus-"${MODULE_NAME}
HOSTS="/etc/hosts"
OLD_HOSTNAME=$(/bin/hostname)

# Are the old hostname and the new hostname the same?
[ "${OLD_HOSTNAME}" != "${NEW_HOSTNAME}" ] || exit 0

#
# Has the user changed the hostname from the default? In English, the default
# hostname is "cumulus" optionally followed by a hyphen and the characters "fc"
# or "lc" followed by one or two digits (the card number), optionally followed
# by "0" and the number "1" or "2". This allows for "cumulus", "cumulus-fc1",
# cumulus-fc102, cumulus-lc1102, etc...
#
echo ${OLD_HOSTNAME} | /bin/egrep "cumulus(\-(fc|lc)[0-9]{1,2}(0(1|2))?)?$" || exit 0

# Change the default hostname to include the module name
echo ${NEW_HOSTNAME} > /etc/hostname
/bin/sed -i "/^127\.0\.1\.1/ s/${OLD_HOSTNAME}/${NEW_HOSTNAME}/" ${HOSTS}
/bin/hostname ${NEW_HOSTNAME}
